#include <opencv2/opencv.hpp>
#include <iostream>

int main(int argc, char ** argv) {

    cv::Mat img = cv::imread("../lena.jpg",cv::IMREAD_COLOR);
    
    int iter = 1;
    std::cout << "number of iterations: ";
    std::cin >> iter;
    std::cout << std::endl;
    
    double spatial_radius = 15.0;
    double color_radius = 30.0;

    for (int i=0; i<iter; i++) {

        cv::imshow("meanshift filter",img);
        cv::waitKey(1);
    
        std::cout << i << std::endl;
        
        cv::Mat filtered;
        cv::pyrMeanShiftFiltering(img, filtered, spatial_radius, color_radius);
        img = filtered;
    }

    return 0;
}



