import numpy as np
import cv2

img = cv2.imread("../lena.jpg",cv2.IMREAD_COLOR)

iter = int(input("number of iterations: "))
spatial_radius = 15.0
color_radius = 30.0

for i in range(iter):

    cv2.imshow("meanshift filter",img)
    cv2.waitKey(1)
    
    print(i)
    img = cv2.pyrMeanShiftFiltering(img, spatial_radius, color_radius)

cv2.imshow("meanshift filter",img)
print("press any key ...")
cv2.waitKey(0)
